--
-- $Id$
--
-- Corrigeer menu voor klanten die met DB27 of later zijn aangemaakt
-- En met DB31b of eerder naar DB31 zijn gebracht
-- Specifiek: voor ASDL, VENT, PCIN, WZUV, QUAW en HCAS

DEFINE thisfile = 'DB31_FSN#40763.sql'
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE fac_menuitems
   SET fac_menuitems_url = REPLACE(fac_menuitems_url, 'ALG_KENMERK_NIVEAU', 'level')
 WHERE fac_menuitems_url LIKE '%alg_kenmerk.asp%';
UPDATE fac_menuitems
   SET fac_menuitems_url = REPLACE(fac_menuitems_url, 'PRS_KENMERK_NIVEAU', 'level')
 WHERE fac_menuitems_url LIKE '%prs_kenmerk.asp%';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
